@mixin app-consent-theme($theme) {
	$primary: map-get($theme, primary);
	$warn: map-get($theme, warn);
	$accent: map-get($theme, accent);
	app-consent {
		width: 100%;
		padding: 5px;
		overflow-x: hidden;
	}
	.consent {
		margin-top: 20px !important;
		display: flex;
		flex-direction: column;
		background-color: mat-color($primary, 50);
		input {
			text-transform: uppercase;
		}
		.consent-main-card {
			display: flex;
			flex-direction: column;
			margin-top: 7px;
			padding: 0px;
			background-color: mat-color($primary, 50);
			.mat-card-content {
				.mat-tab-label {
					background: #BDBDBD;
					border-radius: 10px 10px 0px 0px;
					margin-right: 10px;
					height: 30px !important;
					padding: 10px;
          			font-size: 1.1em;
          			margin-top: 10px;
				}
				.mat-tab-label-active {
					opacity: 1 !important;
					background-color: mat-color($primary);
					color: white;
				}
				.mat-tab-label-content {
					padding: 0!important;
					width: 100%;
				}
				.consent-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
					background: white;
					.table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
					.consent-container {
						width: 100%;
						margin-right: 10px;
						margin-left: 10px;
						form {
							padding-left: 10px;
							padding-right: 10px;
							padding-bottom: 10px;
						}
					}
				}
			}
			.mat-form-field-flex>.mat-form-field-infix {
				padding: 0.4em 0px !important;
				height: 17px!important;
			}
			.mat-form-field-label-wrapper {
				top: -1.5em!important;
			}
			.mat-form-field-wrapper {
				padding-bottom: .9em;
			}
			.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
				transform: translateY(-1.1em) scale(.75);
				width: 133.33333%;
			}
			mat-form-field {
				vertical-align: middle;
			}
			mat-card {
				padding: 5px;
				border-radius: 0;
			}	
		}
		.demographic-label-column {
			flex-direction: row-reverse!important;
			width:14.66%;
			align-self: center;
		}
		.demographic-field-column {
			width:18.66%;
			align-self: center;
		}
		.section {
			margin-top: 15px;
		}
		.verifyCheck {
			text-align: left;
			color: red;
			text-decoration: bold;
		}
		.consentBackGround {
			background-color: lemonchiffon;
		}
		.justify {
			justify-content: center;
		}
		.consentButtonSize {
			font-size: x-large;
			background-color: lemonchiffon;
		}
		.align-center {
			align-self: center;
		}
		.mat-form-field-wrapper {
			padding-bottom: 0!important;
		}
		.mat-form-field-flex {
			position: unset!important;
		}
		.mat-select-arrow-wrapper {
			vertical-align: unset!important;
		}
		.mat-form-field-label-wrapper {
			top: -1.3em!important;
		}
		.mat-select-panel .mat-optgroup-label, .mat-select-panel .mat-option {
			height:2em!important;
		}
		.red-label {
			color:red;
		}
		.housing-label {
			flex-direction: row-reverse!important;
			align-self: center;
			flex: 0.5 1 0;
			width: 0;
		}
		.housing-field {
			align-self: center;
			flex: 1 1 0;
			width: 0;
		}
		.consent-label {
			flex-direction: row-reverse!important;
			align-self: center;
			flex: 1 1 0;
			width: 0;
		}
		.consent-field {
			align-self: center;
			flex: 1.1 1 0;
			width: 0;
		}
		.consent-date-field {
			align-self: center;
			flex: 1.25 1 0;
			width: 0;
		}
		.location-label {
			flex-direction: row-reverse!important;
			align-self: center;
			flex: 1.15 1 0;
			width: 0;
		}
		.location-field {
			align-self: center;
			flex: 2.1 1 0;
			width: 0;
		}
		.consent-form {
			padding-right: 20px!important;
		}
		.verifyCheck {
			text-align: left;
			color: red;
			text-decoration: bold;
			text-align: justify;
		}
		.consentBackGround {
			background-color: lemonchiffon;
		}
		.justify {
			justify-content: center;
		}
		.consentButtonSize {
			font-size: x-large;
			background-color: lemonchiffon;
		}
		.align-center {
			align-self: center;
		}
		.mat-form-field-wrapper {
			padding-bottom: 0!important;
		}
		.mat-form-field-flex {
			position: unset!important;
		}
		.mat-select-arrow-wrapper {
			vertical-align: unset!important;
		}
		.mat-form-field-label-wrapper {
			top: -1.3em!important;
		}
		.mat-select-panel .mat-optgroup-label, .mat-select-panel .mat-option {
			height:2em!important;
		}
		.red-label {
			color:red;
		}
		.iah-question {
			justify-content: center;
			align-items: center;
		}
		mat-radio-group {
			margin-top: 0!important;
		}
		.mat-radio-label-content {
			padding-left: 5px!important;
		}
		.appl-type {
			padding: 10px;
			margin-bottom: 15px;
			box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
		}
		.content-sub-field2 {
           order: 3;
		   height: 30px!important;
		   margin-top: 0px!important;
		}
		.content-sub-actions {
			line-height: 25px!important;
			font-size: 30px!important;
		}
		.survey-report-spinner {
			display: flex;
			justify-content: center;
		}
	}
}
